
Dashboard - Feature #38933

mgr/dashboard: FixtureHelper

03/25/2019 12:20 PM - Stephan Müller

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Stephan Müller   

Category: Testing & QA   

Target version: v15.0.0   

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport: nautilus Pull request ID: 27157

Description

A helper class for interacting with fixtures would be great. With that we could better separate the "FormHelper" from the fixture

usage.

Related issues:

Copied to Dashboard - Backport #39041: nautilus: mgr/dashboard: FixtureHelper Resolved

History

#1 - 03/25/2019 01:37 PM - Stephan Müller

- Status changed from New to Fix Under Review

- Pull request ID set to 27157

#2 - 03/29/2019 02:41 PM - Stephan Müller

- Status changed from Fix Under Review to Pending Backport

#4 - 03/30/2019 08:10 AM - Nathan Cutler

- Tracker changed from Tasks to Feature

- Backport set to nautilus

#5 - 03/30/2019 08:11 AM - Nathan Cutler

- Copied to Backport #39041: nautilus: mgr/dashboard: FixtureHelper added

#6 - 03/30/2019 08:16 AM - Nathan Cutler

@Stephan - I assume you just want this backported to nautilus. I took the following steps to facilitate that:

1. changed issue type from "Task" to "Feature" (there is no backport tracker for Task, so it should not be used for anything that would require a

backport)

2. added "nautilus" to the Backport field

3. ran the backport-create-issue script (obtainable from src/script in master branch) giving it the number of this issue as an argument

It's not strictly necessary for you to create the backport issue yourself. You can just set the status to "Pending Backport" and fill out the Backport field.

The "Backports and Stable Releases" team will then take care of creating the backport issues, cherry-picking, etc. But you're of course welcome to do

that yourself - just please use the scripts to make the entire process go much quicker and ensure everything is done correctly:

src/script/backport-create-issue 

src/script/ceph-backport.sh
#7 - 03/31/2019 11:36 PM - Lenz Grimmer

- Target version set to v15.0.0

#8 - 04/09/2019 01:26 PM - Stephan Müller

@Nathan Thank your for the information. Used the script on the other backports I did.

#9 - 04/18/2019 08:57 AM - Stephan Müller

- Status changed from Pending Backport to Resolved

#10 - 04/15/2021 05:25 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 151 to Testing & QA
